org.modeshape.jboss.metric

## Class ModelMetrics.MetricAttributeDefinition

- java.lang.Object
- - org.jboss.as.controller.AttributeDefinition
  - - org.jboss.as.controller.SimpleAttributeDefinition
    - - org.modeshape.jboss.metric.ModelMetrics.MetricAttributeDefinition

- Enclosing class:
    ModelMetrics

      public abstract static class ModelMetrics.MetricAttributeDefinition
      extends org.jboss.as.controller.SimpleAttributeDefinition

  Represents an attribute definition of a ModeShape metric.

- - ### Field Summary

    - ### Fields inherited from class org.jboss.as.controller.AttributeDefinition

      `attributeMarshaller, COMPLEX_TYPES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ModelMetrics.MetricAttributeDefinition(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `attributeName(String metricName, Window window)`
    `abstract org.jboss.as.controller.OperationStepHandler` | `metricHandler()`

    - ### Methods inherited from class org.jboss.as.controller.SimpleAttributeDefinition

      `marshallAsAttribute, marshallAsAttribute, marshallAsElement, parse, parse, parseAndSetParameter, parseAndSetParameter`

    - ### Methods inherited from class org.jboss.as.controller.AttributeDefinition

      `addAccessConstraints, addAllowedValuesToDescription, addDeprecatedInfo, addOperationParameterDescription, addOperationParameterDescription, addResourceAttributeDescription, addResourceAttributeDescription, convertParameterExpressions, convertStringExpression, correctValue, getAccessConstraints, getAlternatives, getAttributeDeprecatedDescription, getAttributeMarshaller, getAttributeTextDescription, getDefaultValue, getDeprecationData, getFlags, getMeasurementUnit, getName, getNoTextDescription, getRequires, getType, getValidator, getXmlName, hasAlternative, isAllowed, isAllowExpression, isAllowNull, isDeprecated, isMarshallable, isMarshallable, isNullSignificant, isRequired, isResourceOnly, marshallAsElement, resolveModelAttribute, resolveModelAttribute, resolveValue, resolveValue, validateAndSet, validateOperation, validateResolvedOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelMetrics.MetricAttributeDefinition

          protected ModelMetrics.MetricAttributeDefinition(String name)

      Parameters:
        `name` - the attribute name (cannot be `null` or empty)

  - ### Method Detail

    - #### attributeName

          public static final String attributeName(String metricName,
                             Window window)

      Parameters:
        `metricName` - the metric name (cannot be `null` or empty)
        `window` - the metrics window (cannot be `null`)
      Returns:
        the attribute definition name (never `null` or empty)

    - #### metricHandler

          public abstract org.jboss.as.controller.OperationStepHandler metricHandler()

      Returns:
        the operation used to obtain the metric value (never `null`)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.